SystemOrganization addCategory: #ConfigurationOfDCD6!

Object subclass: #ConfigurationOfDCD6
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfDCD6'!

!ConfigurationOfDCD6 methodsFor: 'baselines' stamp: 'fredaebi 4/30/2012 15:38'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/DCD6'.
		spec package: #DCD6.
		spec group: 'default' with: #(#DCD6). ].
! !

!ConfigurationOfDCD6 methodsFor: 'symbolic versions' stamp: 'fredaebi 4/30/2012 15:47'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.111'.
! !

!ConfigurationOfDCD6 methodsFor: 'accessing' stamp: 'fredaebi 4/30/2012 15:52'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfDCD6 methodsFor: 'symbolic versions' stamp: 'fredaebi 4/30/2012 15:47'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.111'.
! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:44'!
version1100: spec
	<version: '1.100' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.1'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:44'!
version1101: spec
	<version: '1.101' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.2'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:45'!
version1102: spec
	<version: '1.102' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.3'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:45'!
version1103: spec
	<version: '1.103' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.4'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:45'!
version1104: spec
	<version: '1.104' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.5'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:45'!
version1105: spec
	<version: '1.105' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.6'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:46'!
version1106: spec
	<version: '1.106' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.7'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:46'!
version1107: spec
	<version: '1.107' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.8'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:46'!
version1108: spec
	<version: '1.108' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.9'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:46'!
version1109: spec
	<version: '1.109' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.10'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:46'!
version1110: spec
	<version: '1.110' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.11'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 15:47'!
version1111: spec
	<version: '1.111' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 15:43'.
		spec package: #DCD6 with: 'DCD6-aebif.12'. ].! !
